YKOptions = {};
lAutoHide = false;
ForceHide = false;
YKT_UpdateInterval = 1.0;

function YKT_OnUpdate(self, elapsed)
  self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed; 	

  if (self.TimeSinceLastUpdate > YKT_UpdateInterval) then
	YKT_Update();
    self.TimeSinceLastUpdate = 0;
  end
end

function YKT_Update()
if (ForceHide == false) then
if (isBG() == false) then
	if (GetNumPartyMembers() > 0 or GetNumRaidMembers() > 0) then
	if (IsRaidLeader() or IsRaidOfficer() or UnitIsPartyLeader("player")) then
	if (lAutoHide) then
	else
		if(YKTargetForm:IsVisible()) then
			
		else
			YKTargetForm:Show();
		end
	end
	else
		YKTargetForm:Hide();
	end
	else
		YKTargetForm:Hide();
	end
else
	YKTargetForm:Hide();
end
end
end

function YKEvent(event)
if event == "VARIABLES_LOADED" then
YKTargetForm:Hide();
DEFAULT_CHAT_FRAME:AddMessage("YKTarget Options Loaded.");
	if YKOptions.Scale == nil then
		YKOptions.Scale = 100;
	end
	if YKOptions.Transparency == nil then
		YKOptions.Transparency = 100;
	end
	if YKOptions.XScale == nil then
		YKOptions.XScale = 0;
	end
	if YKOptions.YScale == nil then
		YKOptions.YScale = 0;
	end
	if YKOptions.AutoHide == nil then
		YKOptions.AutoHide = 0;
	end

	
	YKTargetForm:SetPoint("TOP", "UIParent", "TOP", YKOptions.XScale,YKOptions.YScale);
	YKTargetForm:SetScale(YKOptions.Scale / 100);
	YKTargetForm:SetAlpha(YKOptions.Transparency / 100);


	-- Create Options Frame
	YKTarget_OptionsFrame = CreateFrame("Frame", "YKTarget_OptionsFrame", UIParent);
	YKTarget_OptionsFrame:Hide();
	YKTarget_OptionsFrame:SetWidth(300);
	YKTarget_OptionsFrame:SetHeight(410);
	YKTarget_OptionsFrame:SetFrameStrata("DIALOG");
	
	Title_Text = YKTarget_OptionsFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge");
	Title_Text:SetPoint("TOPLEFT", 16, -16);
	Title_Text:SetText("YKTarget Options");
	
	-- Transparency slider

	CreateFrame("Slider", "YKTarget_TransparencySlider", YKTarget_OptionsFrame, "OptionsSliderTemplate");

	YKTarget_TransparencySlider:SetWidth(335);
	YKTarget_TransparencySlider:SetHeight(16);
	YKTarget_TransparencySlider:SetPoint("TOPLEFT", 25, -75);
	YKTarget_TransparencySliderText:SetText("Transparency "..YKOptions.Transparency.."%");
	YKTarget_TransparencySliderLow:SetText("0%");
	YKTarget_TransparencySliderHigh:SetText("100%");
	YKTarget_TransparencySlider:SetMinMaxValues(0, 100);
	YKTarget_TransparencySlider:SetValueStep(1);
	YKTarget_TransparencySlider:SetValue(YKOptions.Transparency);
	YKTarget_TransparencySlider:SetScript("OnValueChanged", function(self, value)
		YKTarget_TransparencySliderText:SetText("Transparency "..value.."%")
		YKOptions.Transparency = value
		YKTargetForm:SetAlpha(value / 100)
	end);	
	
	-- Scale slider

	CreateFrame("Slider", "YKTarget_ScaleSlider", YKTarget_OptionsFrame, "OptionsSliderTemplate");

	YKTarget_ScaleSlider:SetWidth(335);
	YKTarget_ScaleSlider:SetHeight(16);
	YKTarget_ScaleSlider:SetPoint("TOPLEFT", 25, -150);
	YKTarget_ScaleSliderText:SetText("Scale "..YKOptions.Scale.."%");
	YKTarget_ScaleSliderLow:SetText("25%");
	YKTarget_ScaleSliderHigh:SetText("150%");
	YKTarget_ScaleSlider:SetMinMaxValues(25, 150);
	YKTarget_ScaleSlider:SetValueStep(1);
	YKTarget_ScaleSlider:SetValue(YKOptions.Scale);
	YKTarget_ScaleSlider:SetScript("OnValueChanged", function(self, value)
		YKTarget_ScaleSliderText:SetText("Scale "..value.."%")
		YKOptions.Scale = value
		YKTargetForm:SetScale(value / 100)
	end);		

	-- X Scale slider

	CreateFrame("Slider", "YKTarget_XSlider", YKTarget_OptionsFrame, "OptionsSliderTemplate");

	YKTarget_XSlider:SetWidth(335);
	YKTarget_XSlider:SetHeight(16);
	YKTarget_XSlider:SetPoint("TOPLEFT", 25, -225);
	YKTarget_XSliderText:SetText("X "..YKOptions.XScale);
	YKTarget_XSliderLow:SetText("-1000");
	YKTarget_XSliderHigh:SetText("1000");
	YKTarget_XSlider:SetMinMaxValues(-1000, 1000);
	YKTarget_XSlider:SetValueStep(1);
	YKTarget_XSlider:SetValue(YKOptions.XScale);
	YKTarget_XSlider:SetScript("OnValueChanged", function(self, value)
		YKTarget_XSliderText:SetText("X "..value)
		YKOptions.XScale = value
		YKTargetForm:SetPoint("TOP", "UIParent", "TOP", YKOptions.XScale, YKOptions.YScale);
	end);	
	
	-- Y Scale slider

	CreateFrame("Slider", "YKTarget_YSlider", YKTarget_OptionsFrame, "OptionsSliderTemplate");

	YKTarget_YSlider:SetWidth(335);
	YKTarget_YSlider:SetHeight(16);
	YKTarget_YSlider:SetPoint("TOPLEFT", 25, -300);
	YKTarget_YSliderText:SetText("Y "..YKOptions.YScale);
	YKTarget_YSliderLow:SetText("-1200");
	YKTarget_YSliderHigh:SetText("0");
	YKTarget_YSlider:SetMinMaxValues(-1200, 0);
	YKTarget_YSlider:SetValueStep(1);
	YKTarget_YSlider:SetValue(YKOptions.YScale);
	YKTarget_YSlider:SetScript("OnValueChanged", function(self, value)
		YKTarget_YSliderText:SetText("Y "..value)
		YKOptions.YScale = value
		YKTargetForm:SetPoint("TOP", "UIParent", "TOP", YKOptions.XScale,YKOptions.YScale);
	end);		

	-- Theme dropdown
	CreateFrame("Frame", "YKTarget_ThemesDropDown", YKTarget_OptionsFrame, "UIDropDownMenuTemplate")
	YKTarget_ThemesDropDown:SetPoint("BOTTOMRIGHT", -30, 30)
	YKTarget_ThemesDropDown:SetHitRectInsets(16, 16, 0, 0)

	UIDropDownMenu_SetWidth(YKTarget_ThemesDropDown, 150)

	UIDropDownMenu_EnableDropDown(YKTarget_ThemesDropDown)
	function YKTarget_ThemesDropDown_OnClick(button, selected)
		
	end
	YKTarget_ThemesDropDown.initialize = function()
	info = {};
		info.text		= "Default"
		info.func		= function() YKTSetTheme("Default") end;
	UIDropDownMenu_AddButton(info)
	info = {};
		info.text		= "Gloss Horizontal"
		info.func		= function() YKTSetTheme("Gloss Horizontal") end;
	UIDropDownMenu_AddButton(info)
	info = {};
		info.text		= "Gloss Vertical"
		info.func		= function() YKTSetTheme("Gloss Vertical") end;
	UIDropDownMenu_AddButton(info)
	info = {};
		info.text		= "Horde"
		info.func		= function() YKTSetTheme("Horde") end;
	UIDropDownMenu_AddButton(info)	
	info = {};
		info.text		= "Alliance"
		info.func		= function() YKTSetTheme("Alliance") end;
	UIDropDownMenu_AddButton(info)	
	info = {};
		info.text		= "Scarlet Crusade"
		info.func		= function() YKTSetTheme("Scarlet Crusade") end;
	UIDropDownMenu_AddButton(info)	
	info = {};
		info.text		= "Evergreen Top"
		info.func		= function() YKTSetTheme("Evergreen Top") end;
	UIDropDownMenu_AddButton(info)	
	info = {};
		info.text		= "Evergreen Bottom"
		info.func		= function() YKTSetTheme("Evergreen Bottom") end;
	UIDropDownMenu_AddButton(info)	
		info.text		= "Evergreen Left"
		info.func		= function() YKTSetTheme("Evergreen Left") end;
	UIDropDownMenu_AddButton(info)	
		info.text		= "Evergreen Right"
		info.func		= function() YKTSetTheme("Evergreen Right") end;
	UIDropDownMenu_AddButton(info)	
	end
	if YKOptions.Theme ~= nil then
		YKTarget_ThemesDropDownText:SetText(YKOptions.Theme);
	else
		YKTarget_ThemesDropDownText:SetText("Select Skin");
	end		

	-- AutoHide
	
	CreateFrame("CheckButton", "YKTarget_AutoHide", YKTarget_OptionsFrame, "OptionsCheckButtonTemplate");


	YKTarget_AutoHide:SetPoint("TOPLEFT", 25, -350);
	YKTarget_AutoHideText:SetText("Auto Hide");
	YKTarget_AutoHide:SetChecked(YKOptions.AutoHide);
	YKTarget_AutoHide:SetScript("OnClick", function(self, value)
		isChecked = YKTarget_AutoHide:GetChecked()
		if (isChecked == 1) then
			YKOptions.AutoHide = 1;
			lAutoHide = true;
			if(YKTargetForm:IsVisible()) then
				YKTargetForm:Hide();
			end
		else
			YKOptions.AutoHide = 0;
			lAutoHide = false;
			if (IsRaidLeader() or IsRaidOfficer() or UnitIsPartyLeader("player")) then
				YKTargetForm:Show();
			end
		end
	end);	
	
	YKTarget_OptionsFrame.name = "YKTarget";
	InterfaceOptions_AddCategory(YKTarget_OptionsFrame);

	if YKOptions.Theme ~= nil then
		YKTSetTheme(YKOptions.Theme);
	else
		YKTSetTheme("Default");
	end	

	if (YKOptions.AutoHide) then
	else
		YKTargetForm:Hide();
		lAutoHide = true;
	end	
end

if (event == "PARTY_MEMBERS_CHANGED" or event == "ZONE_CHANGED" or event == "PLAYER_ENTERING_WORLD") then
	YKT_Update();
end

if (event == "PLAYER_TARGET_CHANGED") then
if (ForceHide == false) then
if (isBG() == false) then
	if (lAutoHide) then
		if (IsRaidLeader() or IsRaidOfficer() or UnitIsPartyLeader("player")) then
		if (UnitCanAttack("player","target")) then
		    if(YKTargetForm:IsVisible()) then
		    else
				YKTargetForm:Show();
			end
		else
			if(YKTargetForm:IsVisible()) then
				YKTargetForm:Hide();
			end
		end
		end
	end 
end
end
end

end

function isBG()
lZone = GetRealZoneText();
if (lZone == "Wintergrasp" or lZone == "Warsong Gulch" or lZone == "Arathi Basin" or lZone == "Eye of the Storm" or lZone == "Alterac Valley" or lZone == "Strand of the Ancients") then
	--DEFAULT_CHAT_FRAME:AddMessage("YKTarget PvP Zone");
	return true;
else
	--DEFAULT_CHAT_FRAME:AddMessage("YKTarget Normal");
	return false;
end
end

function YKTSetTheme(YKThemeName)
--DEFAULT_CHAT_FRAME:AddMessage(YKThemeName);
YKTarget_ThemesDropDownText:SetText(YKThemeName);
YKOptions.Theme = YKThemeName

if (YKThemeName == "Default") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Default\\background");

	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\readycheck");
	ykreadycheckbutton:SetWidth(40);
	ykreadycheckbutton:SetHeight(38);
	ykreadycheckbutton:SetPoint("TOPLEFT", 87, 0);
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\clear");
	ykclearbutton:SetWidth(39);
	ykclearbutton:SetHeight(38);
	ykclearbutton:SetPoint("TOPLEFT", 128, 0);


	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 10, 0);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 29, -30);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 56, -52);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 92, -62);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 133, -62);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 168, -53);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 198, -32);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Default\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Default\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 215, 0);	
end
if (YKThemeName == "Gloss Horizontal") then
	YKTargetTexture:SetTexture(nil);
	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\readycheck");
	ykreadycheckbutton:SetWidth(32);
	ykreadycheckbutton:SetHeight(32);
	ykreadycheckbutton:SetPoint("TOPLEFT", 120, -32);	
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\clear");
	ykclearbutton:SetWidth(32);
	ykclearbutton:SetHeight(32);
	ykclearbutton:SetPoint("TOPLEFT", 160, -32);	

	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 0, 0);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 40, 0);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 80, 0);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 120, 0);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 160, 0);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 200, 0);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 240, 0);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 280, 0);
end

if (YKThemeName == "Gloss Vertical") then
	YKTargetTexture:SetTexture(nil);
	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\readycheck");
	ykreadycheckbutton:SetWidth(32);
	ykreadycheckbutton:SetHeight(32);
	ykreadycheckbutton:SetPoint("TOPLEFT", 40, -75);	
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\clear");
	ykclearbutton:SetWidth(32);
	ykclearbutton:SetHeight(32);
	ykclearbutton:SetPoint("TOPLEFT", 40, -100);	

	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 0, 0);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 0, -25);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 0, -50);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 0, -75);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 0, -100);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 0, -125);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 0, -150);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Gloss Horizontal\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 0, -175);
end

if (YKThemeName == "Horde") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\background");
	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\readycheck");
	ykreadycheckbutton:SetWidth(64);
	ykreadycheckbutton:SetHeight(64);
	ykreadycheckbutton:SetPoint("TOPLEFT", 65, 11);	
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\clear");
	ykclearbutton:SetWidth(64);
	ykclearbutton:SetHeight(64);
	ykclearbutton:SetPoint("TOPLEFT", 126, 13);	

	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\skull");
	ykskullbutton:SetWidth(30);
	ykskullbutton:SetHeight(30);
	ykskullbutton:SetPoint("TOPLEFT", 6, -30);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\cross");
	ykcrossbutton:SetWidth(30);
	ykcrossbutton:SetHeight(30);		
	ykcrossbutton:SetPoint("TOPLEFT", 24, -30);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\square");
	yksquarebutton:SetWidth(30);
	yksquarebutton:SetHeight(30);		
	yksquarebutton:SetPoint("TOPLEFT", 42, -30);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\moon");
	ykmoonbutton:SetWidth(30);
	ykmoonbutton:SetHeight(30);		
	ykmoonbutton:SetPoint("TOPLEFT", 58, -30);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\triangle");
	yktrianglebutton:SetWidth(30);
	yktrianglebutton:SetHeight(30);		
	yktrianglebutton:SetPoint("TOPLEFT", 165, -30);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\diamond");
	ykdiamondbutton:SetWidth(30);
	ykdiamondbutton:SetHeight(30);		
	ykdiamondbutton:SetPoint("TOPLEFT", 181, -30);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\circle");
	ykcirclebutton:SetWidth(30);
	ykcirclebutton:SetHeight(30);		
	ykcirclebutton:SetPoint("TOPLEFT", 200, -30);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Horde\\star");
	ykstarbutton:SetWidth(30);
	ykstarbutton:SetHeight(30);		
	ykstarbutton:SetPoint("TOPLEFT", 218, -30);
end

if (YKThemeName == "Alliance") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\background");
	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\readycheck");
	ykreadycheckbutton:SetWidth(64);
	ykreadycheckbutton:SetHeight(64);
	ykreadycheckbutton:SetPoint("TOPLEFT", 100, -17);	
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\clear");
	ykclearbutton:SetWidth(64);
	ykclearbutton:SetHeight(64);
	ykclearbutton:SetPoint("TOPLEFT", 99, 40);	

	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\skull");
	ykskullbutton:SetWidth(30);
	ykskullbutton:SetHeight(30);
	ykskullbutton:SetPoint("TOPLEFT", 6, -30);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\cross");
	ykcrossbutton:SetWidth(30);
	ykcrossbutton:SetHeight(30);		
	ykcrossbutton:SetPoint("TOPLEFT", 24, -30);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\square");
	yksquarebutton:SetWidth(30);
	yksquarebutton:SetHeight(30);		
	yksquarebutton:SetPoint("TOPLEFT", 42, -30);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\moon");
	ykmoonbutton:SetWidth(30);
	ykmoonbutton:SetHeight(30);		
	ykmoonbutton:SetPoint("TOPLEFT", 58, -30);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\triangle");
	yktrianglebutton:SetWidth(30);
	yktrianglebutton:SetHeight(30);		
	yktrianglebutton:SetPoint("TOPLEFT", 165, -30);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\diamond");
	ykdiamondbutton:SetWidth(30);
	ykdiamondbutton:SetHeight(30);		
	ykdiamondbutton:SetPoint("TOPLEFT", 181, -30);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\circle");
	ykcirclebutton:SetWidth(30);
	ykcirclebutton:SetHeight(30);		
	ykcirclebutton:SetPoint("TOPLEFT", 200, -30);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Alliance\\star");
	ykstarbutton:SetWidth(30);
	ykstarbutton:SetHeight(30);		
	ykstarbutton:SetPoint("TOPLEFT", 218, -30);
end

if (YKThemeName == "Scarlet Crusade") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\background");
	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\readycheck");
	ykreadycheckbutton:SetWidth(30);
	ykreadycheckbutton:SetHeight(30);
	ykreadycheckbutton:SetPoint("TOPLEFT", 60, -50);	
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\clear");
	ykclearbutton:SetWidth(30);
	ykclearbutton:SetHeight(30);
	ykclearbutton:SetPoint("TOPLEFT", 166, -50);	

	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\skull");
	ykskullbutton:SetWidth(30);
	ykskullbutton:SetHeight(30);
	ykskullbutton:SetPoint("TOPLEFT", 56, -125);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\cross");
	ykcrossbutton:SetWidth(30);
	ykcrossbutton:SetHeight(30);		
	ykcrossbutton:SetPoint("TOPLEFT", 60, -156);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\square");
	yksquarebutton:SetWidth(30);
	yksquarebutton:SetHeight(30);		
	yksquarebutton:SetPoint("TOPLEFT", 66, -184);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\moon");
	ykmoonbutton:SetWidth(30);
	ykmoonbutton:SetHeight(30);		
	ykmoonbutton:SetPoint("TOPLEFT", 95, -200);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\triangle");
	yktrianglebutton:SetWidth(30);
	yktrianglebutton:SetHeight(30);		
	yktrianglebutton:SetPoint("TOPLEFT", 127, -200);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\diamond");
	ykdiamondbutton:SetWidth(30);
	ykdiamondbutton:SetHeight(30);		
	ykdiamondbutton:SetPoint("TOPLEFT", 160, -184);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\circle");
	ykcirclebutton:SetWidth(30);
	ykcirclebutton:SetHeight(30);		
	ykcirclebutton:SetPoint("TOPLEFT", 166, -156);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Scarlet Crusade\\star");
	ykstarbutton:SetWidth(30);
	ykstarbutton:SetHeight(30);		
	ykstarbutton:SetPoint("TOPLEFT", 170, -125);
end

if (YKThemeName == "Evergreen Top") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\background");

	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheck");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheck");
	ykreadycheckbutton:SetWidth(40);
	ykreadycheckbutton:SetHeight(38);
	ykreadycheckbutton:SetPoint("TOPLEFT", 87, 0);
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clear");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clear");
	ykclearbutton:SetWidth(39);
	ykclearbutton:SetHeight(38);
	ykclearbutton:SetPoint("TOPLEFT", 128, 0);


	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 10, 0);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 20, -38);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 50, -65);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 85, -85);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 133, -85);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 172, -65);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 200, -38);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 215, 0);	
end

if (YKThemeName == "Evergreen Bottom") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\backgroundbtm");

	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheckbtm");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheckbtm");
	ykreadycheckbutton:SetWidth(40);
	ykreadycheckbutton:SetHeight(38);
	ykreadycheckbutton:SetPoint("TOPLEFT", 87, -64);
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearbtm");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearbtm");
	ykclearbutton:SetWidth(39);
	ykclearbutton:SetHeight(38);
	ykclearbutton:SetPoint("TOPLEFT", 128, -64);


	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 10, -70);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 20, -38);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 50, -8);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 85, 8);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 133, 8);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 172, -8);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 200, -38);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 215, -70);	
end

if (YKThemeName == "Evergreen Left") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\backgroundlft");

	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readychecklft");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readychecklft");
	ykreadycheckbutton:SetWidth(40);
	ykreadycheckbutton:SetHeight(38);
	ykreadycheckbutton:SetPoint("TOPLEFT", 0, -95);
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearlft");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearlft");
	ykclearbutton:SetWidth(39);
	ykclearbutton:SetHeight(38);
	ykclearbutton:SetPoint("TOPLEFT", 0, -133);


	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 0, -217);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 37, -199);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 67, -178);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 84, -138);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 84, -90);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 68, -52);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 38, -22);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 0, -8);	
end

if (YKThemeName == "Evergreen Right") then
	YKTargetTexture:SetTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\backgroundrt");

	ykreadycheckbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheckrt");
	ykreadycheckbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\readycheckrt");
	ykreadycheckbutton:SetWidth(40);
	ykreadycheckbutton:SetHeight(38);
	ykreadycheckbutton:SetPoint("TOPLEFT", 216, -95);
	ykclearbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearrt");
	ykclearbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\clearrt");
	ykclearbutton:SetWidth(39);
	ykclearbutton:SetHeight(38);
	ykclearbutton:SetPoint("TOPLEFT", 216, -133);


	ykskullbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\skull");
	ykskullbutton:SetWidth(32);
	ykskullbutton:SetHeight(32);
	ykskullbutton:SetPoint("TOPLEFT", 226, -217);	

	ykcrossbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\cross");
	ykcrossbutton:SetWidth(32);
	ykcrossbutton:SetHeight(32);		
	ykcrossbutton:SetPoint("TOPLEFT", 190, -199);	

	yksquarebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\square");
	yksquarebutton:SetWidth(32);
	yksquarebutton:SetHeight(32);		
	yksquarebutton:SetPoint("TOPLEFT", 160, -178);	

	ykmoonbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\moon");
	ykmoonbutton:SetWidth(32);
	ykmoonbutton:SetHeight(32);		
	ykmoonbutton:SetPoint("TOPLEFT", 144, -138);	

	yktrianglebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\triangle");
	yktrianglebutton:SetWidth(32);
	yktrianglebutton:SetHeight(32);		
	yktrianglebutton:SetPoint("TOPLEFT", 144, -90);	

	ykdiamondbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\diamond");
	ykdiamondbutton:SetWidth(32);
	ykdiamondbutton:SetHeight(32);		
	ykdiamondbutton:SetPoint("TOPLEFT", 160, -52);	

	ykcirclebutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\circle");
	ykcirclebutton:SetWidth(32);
	ykcirclebutton:SetHeight(32);		
	ykcirclebutton:SetPoint("TOPLEFT", 190, -22);	

	ykstarbutton:SetNormalTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetHighlightTexture("interface\\AddOns\\YKTarget\\skins\\Evergreen\\star");
	ykstarbutton:SetWidth(32);
	ykstarbutton:SetHeight(32);		
	ykstarbutton:SetPoint("TOPLEFT", 226, -8);	
end

end
	
function ToggleYKT()
   if(YKTargetForm:IsVisible()) then
      YKTargetForm:Hide();
	  ForceHide = true;
	  DEFAULT_CHAT_FRAME:AddMessage("YKTarget Force Hide : ON");
   else
	  DEFAULT_CHAT_FRAME:AddMessage("YKTarget Force Hide : OFF");
	  ForceHide = false;
   end
end
